Subject: Re: [bug#38824] [PATCH] gnu: mercurial: Update to 5.2.1.

From: Brett Gilio <[email-masked]>
Date: Mon, 6 Jan 2020 02:06:16 +0000 (UTC)

Jan 5, 2020 2:30:14 AM Ricardo Wurmus :

>
> LaFreniere, Joseph writes:
>
>
> > I think that for now the options are to
> > 1. continue using Python2 for Mercurial;
> > 2. use Python3 but disable all tests, as Janssen's patch suggests;
> > 3. use Python3 but disable the known-failing tests; or
> > 4. hold off on updating the package until upstream supports
> > Python3 across its entire test suite.
> >
> > Of those three, I am most in favor of the third option. I would
> > be glad to submit a patch that implements it if there is agreement
> > to take that direction.
> >
>
> I agree that option 3 (with a link to the upstream discussion) is the
> right way to go forward.
>
> Thanks!
>
> --
> Ricardo
>

I am also in agreement that working-around the failing tests is the best option, with a backup of just disabling the tests until the python3 incompatibilities are resolved. We need to work away from python2 wherever possible. Since the upstream is aware of the problem I see avoiding python2 as a reasonable alternative to work-arounds.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>